function funct_apcsourceinstall {

    echo "*************************************************"
    cecho "* Installing Alternative PHP Cache" $boldgreen
    echo "*************************************************"

    cd /svr-setup

    if [ -s APC-${APCCACHE_VERSION}.tgz ]; then
        cecho "xcache APC-${APCCACHE_VERSION}.tgz Archive found, skipping download..." $boldgreen
    else
        $DOWNLOADAPP http://pecl.php.net/get/APC-${APCCACHE_VERSION}.tgz $WGETRETRY
    fi

    export PHP_AUTOCONF=/usr/bin/autoconf
    export PHP_AUTOHEADER=/usr/bin/autoheader

tar xvzf APC-${APCCACHE_VERSION}.tgz
cd APC-${APCCACHE_VERSION}
/usr/local/bin/phpize

if [ "$APCCACHE_VERSION" == '3.1.10' ]; then
sed -i 's/PHP_APC_VERSION \"3.1.9\"/PHP_APC_VERSION \"3.1.10\"/' php_apc.h
fi

./configure --with-php-config=/usr/local/bin/php-config
make
make install

# Randomize myapc.php filename
N=$RANDOM
cp apc.php /usr/local/nginx/html/${N}_myapc.php

if [ -f /usr/local/nginx/html/myapc.php ]; then
mv /usr/local/nginx/html/myapc.php /usr/local/nginx/html/${N}_myapc.php
fi

chown nginx:nginx /usr/local/nginx/html/${N}_myapc.php

#######################################################
# check if apc.so exists in php.ini

APCSOCHECK=`grep 'extension=apc.so' /usr/local/lib/php.ini`

if [[ -z $APCSOCHECK ]]; then

echo

#read -p "Does this server have less than <=2048MB of memory installed ? [y/n]: " lessapcmem

#echo
#echo

if [[ "$lessapcmem" = [yY] ]]; then

echo $lessapcmem

echo -e "\nCopying apc-min.ini >> /usr/local/lib/php.ini\n"
cat $CUR_DIR/config/apc/apc-min.ini >> /usr/local/lib/php.ini

else

echo $lessapcmem

echo -e "\nCopying apc.ini >> /usr/local/lib/php.ini\n"
cat $CUR_DIR/config/apc/apc.ini >> /usr/local/lib/php.ini

fi

fi # check if apc.so exists in php.ini

    /etc/init.d/php-fpm restart
    echo "*************************************************"
    cecho "* Alternative PHP Cache installed" $boldgreen
    echo "*************************************************"

funct_igbinaryinstall

echo
echo

echo ""
cecho "Important instructions next to protect your apc.php page" $boldgreen
sleep 30

apcprotect

echo
echo

}

function funct_installapc {

funct_apcsourceinstall

if [[ "$ENABLE_MENU" != [yY] ]]; then

ASK "Do would you like to run script cleanup (Highly recommended) ? [y/n] "
if [[ "$key" = [yY] ]];
then
    rm -rf /svr-setup
    echo "Temporary files/folders removed"
fi

ASK "Do you want to delete this script ? [y/n] "
if [[ "$key" = [yY] ]];
then
    echo "*************************************************"
    cecho "* Deleting Centmin script... " $boldgreen
    echo "*************************************************"
    echo "Removing..."

rm -f $0

    echo "*************************************************"
    cecho "* Centmin script deleted" $boldgreen
    echo "*************************************************"
fi

fi

}