function funct_igbinaryinstall {

if [ "$IGBINARYGIT" == 'y' ]; then

    cd /svr-setup

    echo "Compiling igbinary..."
    if [ -s igbinary-igbinary-1.1.1-28.tar.gz ]; then
        cecho "igbinary-igbinary-1.1.1-28.tar.gz Archive found, skipping download..." $boldgreen
    else
        wget -c --progress=bar --no-check-certificate https://github.com/igbinary/igbinary/tarball/master -O igbinary-igbinary-1.1.1-28.tar.gz --tries=3
    fi

tar -xzvf igbinary-igbinary-1.1.1-28.tar.gz
cd igbinary-igbinary-*/
make clean
/usr/local/bin/phpize -clean
/usr/local/bin/phpize
./configure CFLAGS="-O2 -g" --enable-igbinary --with-php-config=/usr/local/bin/php-config
make
#make test
make install 

else

    cd /svr-setup

    echo "Compiling igbinary..."
    if [ -s igbinary-${IGBINARY_VERSION}.tgz ]; then
        cecho "igbinary-${IGBINARY_VERSION}.tgz Archive found, skipping download..." $boldgreen
    else
        $DOWNLOADAPP http://pecl.php.net/get/igbinary-${IGBINARY_VERSION}.tgz $WGETRETRY
    fi

tar -xzvf igbinary-${IGBINARY_VERSION}.tgz
cd igbinary-${IGBINARY_VERSION}/
make clean
/usr/local/bin/phpize -clean
/usr/local/bin/phpize
./configure CFLAGS="-O2 -g" --enable-igbinary --with-php-config=/usr/local/bin/php-config
make
#make test
make install 

fi

IGBSOCHECK=`grep 'extension=igbinary.so' /usr/local/lib/php.ini`

if [[ -z $IGBSOCHECK ]]; then

echo "" >> /usr/local/lib/php.ini
echo "[igbinary]" >> /usr/local/lib/php.ini
echo "extension=igbinary.so" >> /usr/local/lib/php.ini
echo ";Use igbinary as session serializer" >> /usr/local/lib/php.ini
echo "session.serialize_handler=igbinary" >> /usr/local/lib/php.ini
echo "" >> /usr/local/lib/php.ini
echo ";Enable or disable compacting of duplicate strings" >> /usr/local/lib/php.ini
echo "igbinary.compact_strings=On" >> /usr/local/lib/php.ini
echo "" >> /usr/local/lib/php.ini
echo ";Use igbinary as serializer in APC cache" >> /usr/local/lib/php.ini
echo ";apc.serializer=igbinary" >> /usr/local/lib/php.ini

fi

APCSOCHECK=`grep 'extension=apc.so' /usr/local/lib/php.ini`

if [[ $APCSOCHECK ]]; then
sed -i 's/;apc.serializer=igbinary/apc.serializer=igbinary/g' /usr/local/lib/php.ini
fi

service php-fpm restart

}